<?php

namespace App\Classes\Modules\Currencies\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Currencies\DataTransferObjects\CurrencyObject;

class CurrencyValidation extends AbstractValidation
{
    /**
     * @param CurrencyObject $object
     * @return array
     */
    protected function data($object): array 
    {
        return [
            'name' => $object->getName(),
            'short_code' => $object->getShortCode()
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array 
    {
        return [
            'name' => 'required',
            'short_code' => 'required'
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array 
    {
        return [];
    }
}